class Student {
    int stuCode;
    String stuName;
    void init() {
        stuName = "xiaolin";
        stuCode = 10011;
    }
    public Student() {
        this.init();                      // 在构造方法中使用this
    }
}
class Example3_8 {
    public static void main(String args[]) {
        Student s = new Student();
        System.out.println("学号:" + s.stuCode + "姓名:" + s.stuName);
    }
}
